View Issue Details

IDProjectCategoryView StatusLast Update
14256Bug reports[All Projects] Otherpublic2019-05-23 14:29
ReportermfavettiAssigned Toc_schmitz 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.17.x 
Summary14256: .gitignore does not properly ignore /tmp directory
Description

I believe the intent of the .gitignore file with regards to the tmp directory is to ignore everything under /tmp except for the following directories in order to facilitate creation of these directories when installing LimeSurvey.

/tmp/index.html
/tmp/assets/index.html
/tmp/runtime/index.html
/tmp/upload/index.html

However, these files have been added to git already and the .gitignore does not properly handle them.

Self assigning, PR to follow.

Steps To Reproduce

Download latest release (limesurvey3.15.3+181108.zip as of the time of this report)
Extract
In the extracted folder, do a git init
Do a git add

Result:
/tmp folder is not added at all

Expected:
new file: tmp/assets/index.html
new file: tmp/index.html
new file: tmp/runtime/index.html
new file: tmp/upload/index.html

Additional Information

git 2.17.1

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.3+181108
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMariadb 10.3
Server OS (if known)Linux Mint 19
Webserver software & version (if known)nginx 1.14.1
PHP Version7.2.12

Activities

Related Changesets

LimeSurvey: master d5b16258

2018-12-13 22:02:37

mfavetti


Committer: c_schmitz Details Diff
Dev Fixed issue 14256: .gitignore does not properly ignore /tmp directory (#1171) Affected Issues
14256
mod - .gitignore Diff File

Issue History

Date Modified Username Field Change
2018-11-15 02:12 mfavetti New Issue
2018-11-15 02:12 mfavetti Status new => assigned
2018-11-15 02:12 mfavetti Assigned To => mfavetti
2018-11-15 02:22 mfavetti Note Added: 49663
2018-12-13 22:02 c_schmitz Changeset attached => LimeSurvey master d5b16258
2018-12-13 22:02 c_schmitz Note Added: 49961
2018-12-13 22:02 c_schmitz Assigned To mfavetti => c_schmitz
2018-12-13 22:02 c_schmitz Resolution open => fixed
2019-05-23 14:29 c_schmitz Status assigned => closed
2019-05-23 14:29 c_schmitz Fixed in Version => 3.17.x